server:
  port: 8050
  tomcat:
    max-threads: 400
    min-spare-threads: 50
  servlet:
    session:
      timeout: 60m

spring.http.encoding:
  force: true
  force-request: true
  force-response: true
  
server.tomcat.uri-encoding: UTF-8
hashed.key: \u006f\u0072\u0064\u0065\u0072\u0071\u0075\u0065\u0065\u006e\u0032\u0030\u0032\u0032\u0021\u0040


spring:
  application:
    name: oqpo-api
  profiles:
    active: local
  devtools:
    livereload:
      enabled: true
  jwt:
    secret: noorija2021!@
  datasource:
    hikari:
      jdbc-url: jdbc:log4jdbc:mariadb://106.246.249.162:23381/oqscm?allowMultiQueries=true&characterEncoding=utf-8&verifyServerCertificate=true&useSSL=false&requireSSL=false
      username: dreampos
      password: snflWkd12!!
      driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
      maximum-pool-size: 10
      max-lifetime: 30
  cache:
    type: redis
  redis:
    port: 56379
    host: 106.246.249.162
    password: qwer1234
    lettuce:
      pool:
        max-active: 10
        max-idle: 10
        min-idle: 2
  session:
    store-type: redis
    redis:
      flush-mode: IMMEDIATE
      namespace: spring:oqpo-api-session

resttemplate:
  max-connection: 400
  max-route: 20
  request-timeout: 10000
  connect-timeout: 10000
  socket-timeout: 30000
  connect-keep-alive: 20000

ftp:
  path: /web/upload/
  host: 192.168.0.227
  port: 2021
  user: upload
  pass: NooUp22!
  domain: http://106.246.249.162:15002/

file:
  upload:
    path: D:/dev/upload
    folder: oqpo
  domain:
    url: http://106.246.249.162:15002/

logging:
  config: classpath:logback-spring.xml
  file: ${spring.application.name}

log:
  path: D:/dev/logs/oqpo
